Carts & CheckoutCarts
Get pickup options for checkout
Returns the pickup points the shopper can collect from, as an alternative to delivery.
GET
/v1/carts/shipping/pickup-optionsReturns the pickup points the shopper can collect from, as an alternative to delivery.
Query Parameters
shippingMethodId*string
Header Parameters
x-Store-Domain*string
Store slug or configured domain that selects the store context at the central Storefront gateway.
Length
1 <= length <= 253Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/carts/shipping/pickup-options?shippingMethodId=7204558912004325301" \ -H "x-Store-Domain: my-store"{ "locations": [ { "id": "7204558912004325301", "name": "Example resource", "address": "example", "city": "example", "state": "example", "country": "PE", "postalCode": "example_code", "phone": "+51987654321", "email": "andrea@example.com", "isDefault": false, "isPhysicalStore": false, "pickupInstructions": "example", "pickupLeadTimeInMinutes": 1, "pickupSlotInMinutes": 1, "pickupDailyCapacity": 1, "schedule": [ { "day": "monday", "openTime": "09:00:00Z", "closeTime": "09:00:00Z", "isOpen": false } ] } ], "pickupPoints": [ { "id": "7204558912004325301", "locationId": "7204558912004325301", "connectionId": "7204558912004325301", "isExternal": false, "externalId": "7204558912004325301", "name": "Example resource", "address": "example", "city": "example", "state": "example", "postalCode": "example_code", "contactPhone": "+51987654321", "observations": "example", "leadTimeInMinutes": 1, "schedule": [ { "day": "monday", "openTime": "09:00:00Z", "closeTime": "09:00:00Z", "isOpen": false } ] } ]}